/* ------------ Theme ------------- */
:root,
[data-bs-theme=light] {
    --phoenix-border-width: 2px;
    --phoenix-secondary-lighter: #9E6C7D;
    --phoenix-secondary-light: #9E526D;
    --phoenix-secondary-dark: #9E0037;
    --phoenix-secondary-darker: #E0004F;
    --phoenix-secondary-lighter-rgb: 158, 108, 125;
    --phoenix-secondary-light-rgb: 158, 82, 109;
    --phoenix-secondary-dark-rgb: 158, 0, 55;
    --phoenix-secondary-darker-rgb: 224, 0, 79;
}

[data-bs-theme=dark] {
    --phoenix-border-width: 2px;
    --phoenix-secondary-lighter: #E0004F;
    --phoenix-secondary-light: #9E1343;
    --phoenix-secondary-dark: #9E526D;
    --phoenix-secondary-darker: #9E526D;
    --phoenix-secondary-lighter-rgb: 224, 0, 79;
    --phoenix-secondary-light-rgb: 158, 19, 67;
    --phoenix-secondary-dark-rgb: 158, 82, 109;
    --phoenix-secondary-darker-rgb: 158, 82, 109;
}

.fc .fc-h-event,
.fc .fc-daygrid-event {
    background-color: var(--phoenix-emphasis-bg);
}

.text-bg-primary {
    color: #000000 !important;
    background-color: RGBA(var(--phoenix-primary-rgb), var(--phoenix-bg-opacity, 1)) !important;
}
/* ------------------------- */


/* ------------- Search employees input ------------- */
.removeSearchTextBtn {
    pointer-events: auto;
    cursor: pointer;
    position: absolute;
    top: 35%;
    right: 1rem;
}

/* ------------- Login ------------- */
#loginForm .form-icon-container .form-icon-input {
    padding-left: 2.6rem;
}

/* ------------- Full Calendar ------------- */
/* 1 - ### General ####*/
.fc-event {
    cursor: pointer;
}

.fc-toolbar-title {
    font-size: 1.2em !important;
    /*text-transform: capitalize !important;*/
}

.fc-today-button {
    text-transform: capitalize !important;
}

.windows.chrome .fc-scroller {
    /*overflow: auto auto !important;*/
    overflow: auto !important;
}

/*full calendar > popover*/
.popover-header {
    text-align: center
}

.popover-header, .popover-body {
    padding: 0.75rem;
}

/* Disable Text Selection */
.fc-timeline-slot-cushion, .fc-datagrid-cell-main, .fc-col-header-cell-cushion, .fc-daygrid-day-number, .fc-multimonth-title {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

/* 2 - ### Timeline ####*/
.fc-timeline-slot-frame {
    justify-content: center !important;
}

.fc-timeline-event-harness {
    top: 6px !important;
}

/* 2.1 - ## Schedules and Scans Timeline calendar ##*/
.workTypeCalendarDiv .fc-event-main, #workTypeCalendarDiv .fc-event-main {
    padding-left: 10px !important;
}

    .workTypeCalendarDiv .fc-event-main::after, .workTypeCalendarDiv .fc-event-main::after {
        display: none !important
    }

.workTypeCalendarDiv .fc-event {
    height: 25px;
}

.workTypeCalendarDiv .fc-scroller {
    overflow: auto auto !important;
    overflow: auto !important;
}

/* Remove border */
.workTypeCalendarDiv th, .workTypeCalendarDiv td {
    border: none !important;
}

/* 3 - ### Month and Year ####*/
.fc-multimonth-title {
    text-transform: capitalize !important;
}

/* No background on today date */
.fc .fc-daygrid-day.fc-day-today {
    background-color: var(--phoenix-calendar-bg) !important;
}

/* Background on today date */
.fc .fc-day-today:not(.fc-popover) .fc-daygrid-day-number {
    /*background-color: transparent !important;*/
    /*font-weight: 800 !important;*/
    /*color: var(--phoenix-primary) !important;*/
    /*font-size: 1.20em !important;*/
    /*text-decoration: underline var(--phoenix-primary) 2px !important;*/

    font-weight: 800 !important;
    background-color: var(--phoenix-primary) !important;
    color: var(--phoenix-black) !important;
    border-radius: 5px !important;
}

    .fc .fc-day-today:not(.fc-popover) .fc-daygrid-day-number:hover, .fc .fc-day-today:not(.fc-popover) .fc-daygrid-day-number:focus {
        /*background-color: transparent !important;*/
    }

/* Month calendar without border */
.fc-dayGridMonth-view > table, .fc-resourceTimelineDay-view > table, .fc-multiMonthYear-view {
    border: none !important;
}

/* Center dates */
.fc .fc-daygrid-day-top {
    justify-content: center !important;
}

/*Show popover even cursor in numbers */
.fc-daygrid-day-number {
    pointer-events: none !important;
}

/* 3.1 - ## Day Checks calendar ##*/
/* Cursor pointer on month and year calendar view */
.dayChecksCalendarDiv td .fc-daygrid-day, .fc-day.fc-daygrid-day[data-date]:not([data-date=""]) {
    cursor: pointer !important;
}

/* Bg on hover */
.dayChecksCalendarDiv .fc-daygrid-day-frame:hover {
    background-color: var(--phoenix-tertiary-bg) !important;
}

/* Fix position for the bg events */
.dayChecksCalendarDiv .fc-daygrid-bg-harness {
    top: 0px !important;
}

/* Fix border radious for the bg events */
.dayChecksCalendarDiv .fc-event.fc-bg-event {
    border-radius: 4px !important;
}

/* 3.2 - ## Vacations calendar ##*/
.vacationsCalendarEditDiv .fc-day {
    cursor: pointer;
}

/* 3.2 - ## Holidays calendar ##*/
.holidaysCalendarEditDiv .fc-day {
    cursor: pointer;
}

/* ------------- Lists ------------- */
.fc-editButton-button, .list-editButton-button {
    font-size: 0.8rem !important;
    font-weight: 700 !important;
    color: #000000 !important;
    background-color: var(--phoenix-primary) !important;
}

.listDiv.list-prev-button {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.listDiv.list-next-button {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.listDiv.list-today-button {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.listDivEditBtn.list-editButton-button {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.listDivEditBtn.list-next-button {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.listDivEditBtn.list-prev-button {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.listDivEditBtn.list-today-button {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

/* ------------- Logo ------------- */
/*### TopNav Logo ###*/
[data-bs-theme=dark] #navLogo {
    display: initial;
}

[data-bs-theme=light] #navLogoDark {
    display: initial;
}

[data-bs-theme=light] #navLogo {
    display: none;
}

[data-bs-theme=dark] #navLogoDark {
    display: none;
}

/*### Login Logo ###*/
[data-bs-theme=dark] #loginLogo {
    display: initial;
}

[data-bs-theme=light] #loginLogoDark {
    display: initial;
}

[data-bs-theme=light] #loginLogo {
    display: none;
}

[data-bs-theme=dark] #loginLogoDark {
    display: none;
}

/* ------------- Bootstrap-select ------------- */
.bootstrap-select > .dropdown-toggle {
    padding-top: 22.5px;
    padding-bottom: 9.5px;
    display: block;
    width: 100%;
    padding: 0.5rem 2.5rem 0.5rem 1rem;
    font-size: 0.8rem;
    font-weight: 600;
    line-height: 1.49;
    color: var(--phoenix-body-color);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: var(--phoenix-emphasis-bg);
    background-image: var(--phoenix-form-select-bg-img), var(--phoenix-form-select-bg-icon, none);
    background-repeat: no-repeat;
    background-position: right 1rem center;
    background-size: 9px 12px;
    border: var(--phoenix-border-width) solid var(--phoenix-border-color);
    border-radius: var(--phoenix-border-radius);
    -webkit-box-shadow: inset 0 1px 2px transparent;
    box-shadow: inset 0 1px 2px transparent;
    -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    -o-transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
}

    .bootstrap-select > .dropdown-toggle:hover {
        border: var(--phoenix-border-width) solid var(--phoenix-border-color);
        border-radius: var(--phoenix-border-radius);
        background-color: var(--phoenix-emphasis-bg);
    }

    .bootstrap-select > .dropdown-toggle:focus {
        border-color: #3FC8EB;
        outline: 0;
        -webkit-box-shadow: inset 0 1px 2px transparent, 0 0 0 0.25rem rgba(63, 200, 235, 0.25);
        box-shadow: inset 0 1px 2px transparent, 0 0 0 0.25rem rgba(63, 200, 235, 0.25);
    }

    .bootstrap-select > .dropdown-toggle > .filter-option > .filter-option-inner > .filter-option-inner-inner {
        color: var(--phoenix-body-color) !important;
    }

/* ------------- Btn ------------- */
.btn-xsm {
    padding: 0.3rem 0.6rem;
    font-size: 0.6rem;
}

/* ------------- Flatpickr ------------- */
/*### Time ###*/
.flatpickr-time .numInput {
    color: var(--phoenix-body-color) !important;
}

/* ------------- Badge ------------- */
.badge-phoenix {
    border: 2px solid var(--phoenix-badge-border-color);
}

/* ------------- Nav ------------- */
.navbar-nav .nav-link.dropdown-toggle {
    color: var(--phoenix-navbar-top-link-color) !important;
}

    .navbar-nav .nav-link.active, .navbar-nav .nav-link.dropdown-toggle.active {
        color: var(--phoenix-primary) !important;
    }

.navbar-nav .nav-link.disabled, .navbar-nav .dropdown-item.disabled {
    color: rgba(var( --phoenix-body-color-rgb), 0.5) !important;
}

.nav.nav-pills .nav-link.active {
    color: #000 !important;
}